#ifndef Config_h
#define Config_h

#include <qstring.h>

#include "MainWindow.h"

#define CONFIG_VERSION 1.0

//====================================================================
class Config
{
public:
	static Config *getInstance();
	static bool	init();
	static bool	commit();
	static bool hasMpeg();
	
	int			fileHist;
	MainWindow::FPS	flipFPS;
	int			loadFrames;
	
	QString		mpegExec;
	QString		mpegPattern;
	int			mpegPSearch;
	int			mpegBSearch;
	int			mpegIQScale;
	int			mpegPQScale;
	int			mpegBQScale;
	int			mpegFrameRate;
	
protected:
	~Config();
	
private:
	Config();
	static Config *instance;

	bool writeFile();
	bool readFile();
	void createDirs();
};


#endif // Config_h
