/* flip - pageflipper for TIFF animations
 * Copyright (C) 1999 Mark B. Allan (mba@reptilelabour.com)
 *
 * "flip" is free software; you can redistribute it and/or use 
 * it and/or modify it under the terms of the "Artistic License" 
 */
 
#ifndef FileDialog_h
#define FileDialog_h

#include <qlabel.h>
#include <qlayout.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qvalidator.h>
#include <qfiledialog.h>

class FileDialog;

//==============================================================================
class LoadOptionsWidget	: public QFrame
{
	Q_OBJECT
public:
	LoadOptionsWidget(QStrList& dirList, FileDialog *parent, const char* name = 0);
	~LoadOptionsWidget();

	QComboBox	*resizeCombo;
	QLineEdit	*maxFrameInput;
	QComboBox	*dirCombo;
	
protected:
	QVBoxLayout		*topVLayout;
	QHBoxLayout		*hLayout;
	QLabel			*resizeLabel;
	QIntValidator	*intValid;
	QLabel			*maxFrameLabel;
	
};

//==============================================================================
class FileDialog	: public QFileDialog
{
	Q_OBJECT

public:
	FileDialog(QWidget *parent);
	~FileDialog();
	
	inline int	getNumHistory()			{	return numHistory;	}
	inline const char*	getFileName()	{	return (const char*)filename;	}
	inline int	getMaxFrames()			{	return maxFrames;	}
	inline int	getLoadSize()			{	return loadOptsWidget->resizeCombo->currentItem();	}
	
	void setNumHistory(int in);
	
protected:
	void done(int);
	void writePreviousDirList();
	void readPreviousDirList();
	
protected:
	LoadOptionsWidget	*loadOptsWidget;
	
	int			numHistory;
	int			maxFrames;
	char		*homeDir;
	QString		filename;
	QStrList	dirList;
};

#endif // FileDialog_h
