/* flip - pageflipper for TIFF animations
 * Copyright (C) 1999 Mark B. Allan (mba@reptilelabour.com)
 *
 * "flip" is free software; you can redistribute it and/or use 
 * it and/or modify it under the terms of the "Artistic License" 
 */
 
#ifndef FlipPreferences_h
#define FlipPreferences_h

#include <qlabel.h>
#include <qlayout.h>
#include <qdialog.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>

//==============================================================================
class FlipPreferences	: public QDialog
{
	Q_OBJECT
	
public:
	FlipPreferences(QWidget *parent = 0, const char* name = 0);
	~FlipPreferences();
	
	void	setCurrent();
	void	show();
	void	exec();
	
	enum Field {
			MpegExec,
			LoadFrames,
			FileHist,
			FramesPerSec,
			NumFields };

protected slots:
	void	okPressed();
	void	cancelPressed();
	void	browseForMpeg();
		
protected:
	QVBoxLayout	*topLayout;
	QHBoxLayout	*butLayout;
	QGridLayout	*gridLayout;
	
	QLabel	*label[NumFields];
	QLabel	*newLabel(Field fld);
	
	QLineEdit	*mpegExecEdit;
	QToolButton	*mpegExecBut;
	
	QSpinBox	*loadFramesSpin;
	
	QSpinBox	*fileHistSpin;
	
	QComboBox	*fpsCombo;
	
	QPushButton	*okBut;
	QPushButton	*cancelBut;
};

#endif
