/* flip - pageflipper for TIFF animations
 * Copyright (C) 1999 Mark B. Allan (mba@reptilelabour.com)
 *
 * "flip" is free software; you can redistribute it and/or use 
 * it and/or modify it under the terms of the "Artistic License" 
 */
 
#ifndef InputLCD_h
#define InputLCD_h

#include <qlcdnumber.h> 

/**
 * LCD display
 */
//====================================================================
class InputLCD : public QLCDNumber
{
    Q_OBJECT;
	
public:
    InputLCD (QWidget* parent = NULL, const char* name = NULL );
	inline	int	getMinInt ()	{	return minInt;	}
	inline	int	getMaxInt ()	{	return maxInt;	}

signals:
	void		valueChanged(int val);
	
public slots:
	void		setValue	(int);
	void		setMinInt	(int val);	
	void		setMaxInt	(int val);	
	void		setMinMaxInt(int min, int max);	
	void		setActive	(bool status);
	
protected:
	bool		LCDactive;
	int			valueType;
	void 		mousePressEvent  (QMouseEvent *msEv);
	void 		mouseMoveEvent ( QMouseEvent *msEv );
	
	int			lastXPos;
	
	int			val;
	int			minInt;
	int			maxInt;
};

#endif // InputLCD_h
