#ifndef RenderMPEGDialog_h
#define RenderMPEGDialog_h

#include <stdio.h>

#include <qlabel.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>
#include <qmultilineedit.h>

class TiffFlip;

//====================================================================
class RenderMPEGDialog : public QDialog
{
	Q_OBJECT
public:
	RenderMPEGDialog(TiffFlip &tf, QWidget *parent = 0, const char *name = 0);
	~RenderMPEGDialog();

protected slots:
	void	doEncode();
	void	cancelPressed();
	void	saveDefaults();
	void	browseFilename();

protected:
	enum Field { 
				Output, 
				Pattern, 
				PSearch,
				BSearch,
				IQScale,
				PQScale,
				BQScale,
				FrameRate,
				FrameSize,
				NumFields };
	
	void	setDefaults();
	QLabel	*newLabel(Field fld);
	
	bool	writeParamFile();

protected:	
	QVBoxLayout	*topVLayout;
	QGridLayout	*gridLayout;
	QHBoxLayout	*butLayout;
	
	TiffFlip &tiffFlip;
	
	QLabel		*label[NumFields];
	
	QLineEdit	*outputEdit;
	QToolButton	*outputBut;
	QLineEdit	*patternEdit;
	QComboBox	*pSearchCombo;
	QComboBox	*bSearchCombo;
	QSpinBox	*iQScaleSpin;
	QSpinBox	*pQScaleSpin;
	QSpinBox	*bQScaleSpin;
	QComboBox	*frameRateCombo;
	QComboBox	*frameSizeCombo;
	
	QMultiLineEdit	*encodeOutput;
	
	QPushButton	*encodeBut;
	QPushButton	*cancelBut;
	
	int	szX;
	int	szY;
	
	QString	tmpParamName;
	QString	dirString;
	QString	fileString;
	
	FILE	*pcommand;
};

#endif // RenderMPEGDialog_h
