/* flip - pageflipper for TIFF animations
 * Copyright (C) 1999 Mark B. Allan (mba@reptilelabour.com)
 *
 * "flip" is free software; you can redistribute it and/or use 
 * it and/or modify it under the terms of the "Artistic License" 
 */
 
#include <qapp.h>
#include <qfont.h>

#include "MainWindow.h"

#include <qmotifstyle.h>

#include "Config.h"

#ifdef SGI
// Default font sizes for SGI
int		e_fontS   = 8;
int		e_fontM   = 10;
int		e_fontL   = 12;
#else
//
int		e_fontS   = 10;
int		e_fontM   = 12;
int		e_fontL   = 14;
#endif
const char* e_fontFace = "Helvetica";

//-------------------------------------------------------
int main( int argc, char **argv )
{
	Config::init();
	
    QApplication::setColorSpec( QApplication::ManyColor );
    QApplication a(argc,argv);
	
//	a.setStyle(new QMotifStyle());
	QColor	butColor = QApplication::palette().active().button();
	QColor	bckColor = QApplication::palette().active().mid();
	QPalette palette = QPalette(butColor, bckColor);
	palette.setColor(QColorGroup::Highlight, QApplication::palette().active().dark());
	palette.setColor(QPalette::Disabled, QColorGroup::Highlight, QApplication::palette().active().mid());
	QApplication::setPalette(palette);
	
	QFont::setDefaultFont ( QFont(e_fontFace, e_fontM, QFont::Bold) );

	MainWindow	mw;
	
	mw.setMinimumSize(110, 110);
	a.setMainWidget( &mw );
	
	
    mw.show();
    return a.exec();
}
